# EditorConfig is awesome: https://EditorConfig.org

# top-most EditorConfig file
root = true

[*]
charset = utf-8
curly_bracket_next_line = true
end_of_line = lf
indent_size = tab
indent_style = tab
insert_final_newline = true
keep_padding = true
shell_varint = posix
space_redirects = true
spaces_around_operators = true
trim_trailing_whitespace = true

[{*.{lua,py},Dockerfile*,meson.build}]
indent_size = 4
indent_style = space

[*.{yaml,yml}]
indent_size = 2
indent_style = space
